import request from '@/utils/request'

// 查询封禁记录列表
export function listUserForbidLog(query) {
  return request({
    url: '/cai/userForbidLog/list',
    method: 'get',
    params: query
  })
}

// 查询封禁记录详细
export function getUserForbidLog(id) {
  return request({
    url: '/cai/userForbidLog/' + id,
    method: 'get'
  })
}

// 新增封禁记录
export function addUserForbidLog(data) {
  return request({
    url: '/cai/userForbidLog',
    method: 'post',
    data: data
  })
}

// 修改封禁记录
export function updateUserForbidLog(data) {
  return request({
    url: '/cai/userForbidLog',
    method: 'put',
    data: data
  })
}

// 删除封禁记录
export function delUserForbidLog(id) {
  return request({
    url: '/cai/userForbidLog/' + id,
    method: 'delete'
  })
}
